Bug 34170 - [TTV] keyboard focus is moved "strangely"
[TTV] keyboard focus is moved "strangely"
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Outline&TreeTable
3.x
All All
: P4 (vote)
: 3.x
Assigned To: _ tboudreau
issues@platform
: FOCUS
Depends on: 31896
Blocks: 33281
  Show dependency treegraph
 
Reported: 2003-06-04 19:27 UTC by David-john Burrowes
Modified: 2008-12-22 17:55 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David-john Burrowes 2003-06-04 19:27:19 UTC
If keyboard focus is in column X (where X > the
first), and then the user clicks on the name
column in another row, the keyboard focus is moved
to column X in the new row, rather than to the
name column in the new row.

To reproduce:
In the Threads view in the debugger:
- open all the thread groups
- Click in the "state" column for, say, the system
threadgroup
- Click in the name column for one of the threads
(e.g. Finalizer)
- Note that the keyboard focus is now shown in the
state column for the Finalizer thread, rather than
in the name column for the Finalizer thread.
Comment 1 Jiri Rechtacek 2003-06-04 22:41:05 UTC
This issue blocks the umbrella issue 33281 - TreeTableView improving. All TTV's
issues should be fixed separately at once on base UI spec (task 31621).
Comment 2 _ tboudreau 2003-12-08 17:26:17 UTC
Fixed on property panel rewrite branch.
Comment 3 _ tboudreau 2003-12-09 09:37:06 UTC
Property panel rewrite branch merged.
Comment 4 Marian Mirilovic 2005-07-13 13:24:44 UTC
closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo